Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.util.config
Class StringConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.StringConfigOption

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  HiddenConfigOption, IpAddressConfigOption, MacAddressConfigOption, MulticastIpAddressConfigOption

public class StringConfigOption
extends ConfigOption

See Also:
  Serialized Form

Constructor Summary
`protected` `StringConfigOption()` Should only be used by serializer/deserializer
`` `StringConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` `StringConfigOption(java.lang.String optName, java.lang.String optDesc)`
`` `StringConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.String defValue)`

Method Summary
`void` `checkOptionIsValid(java.lang.String value)`
`int` `getMaxLength()`
`int` `getMinLength()`
`net.hyperic.util.config.OptionTransport` `getTransport()`
`boolean` `isHidden()`
`boolean` `isSecret()`
`void` `setHidden(boolean val)`
`void` `setMaxLength(int len)`
`void` `setMinLength(int len)` Option properties
`void` `setSecret(boolean val)`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringConfigOption

    protected StringConfigOption()

  Should only be used by serializer/deserializer

### StringConfigOption

    public StringConfigOption(java.lang.String optName,
                              java.lang.String optDesc,
                              java.lang.String defValue)

### StringConfigOption

    public StringConfigOption(java.lang.String optName,
                              java.lang.String optDesc)

### StringConfigOption

    public StringConfigOption(net.hyperic.util.config.OptionTransport transport)
                       throws net.hyperic.util.config.EncodingException

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### getTransport

    public net.hyperic.util.config.OptionTransport getTransport()

  Specified by:
    `getTransport` in class `ConfigOption`

### setMinLength

    public void setMinLength(int len)

  Option properties

### getMinLength

    public int getMinLength()

### setMaxLength

    public void setMaxLength(int len)

### getMaxLength

    public int getMaxLength()

### setSecret

    public void setSecret(boolean val)

### isSecret

    public boolean isSecret()

### setHidden

    public void setHidden(boolean val)

### isHidden

    public boolean isHidden()

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.